************************************************************************
* File: visibil.for
************************************************************************
* Scopo: verificare le regole di visibilita` del FORTRAN
************************************************************************

* - Le etichette possono essere ripetute nelle varie unita`
* - Gli identificatori sono visibili solo nell'unita' dove sono dichiarati

      PROGRAM Main
      IMPLICIT NONE
      INTEGER Quattro
      PARAMETER (Quattro = 4)
      CALL Prova
      STOP
 100  FORMAT (A1)
      END

      SUBROUTINE Prova
      IMPLICIT NONE
      INTEGER Quattro
      READ (*,*) Quattro
      WRITE (*,*) Quattro
      RETURN
100   FORMAT (A1)
      END
